%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.0102
%define module_name Test-GetVolatileData
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0102
Release: alt1
Summary: load frequently-changed data in your tests without uploading new distros
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZO/ZOFFIX/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
A tiny wrapper module to load up random volatile data into your tests;
like API keys, tracking numbers, whatever.
For example, you wrote a module for a delivery package tracker. It would
be nice to privide a fresh supply of tracking numbers for your tests,
but that means uploading a new distro every so often.

With this module, you can store, and update, those tracking
numbers on an online page, and have your tests access it.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE examples
%perl_vendor_privlib/T*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.0102-alt1
- initial import by package builder

